LibreOffice: Toolkit Service Reference

LibreOffice LibreOffice 5.1 SDK API Reference

List of all members
Toolkit Service Referencepublished

describes a toolkit that creates windows on a screen. More...

`import"Toolkit.idl";`

Inheritance diagram for Toolkit:

## Additional Inherited Members
Exported Interfaces inherited from XToolkit2
interface | XToolkit
interface | com::sun::star::awt::XDataTransferProviderAccess
interface | com::sun::star::awt::XSystemChildFactory
interface | com::sun::star::awt::XMessageBoxFactory
interface | com::sun::star::awt::XExtendedToolkit
interface | com::sun::star::awt::XReschedule
Public Member Functions inherited from XToolkit
com::sun::star::awt::XWindowPeer | getDesktopWindow ()
| returns the desktop window. More...
com::sun::star::awt::Rectangle | getWorkArea ()
| For LibreOffice versions < 4.1, this method just returned an empty rectangle. More...
com::sun::star::awt::XWindowPeer | createWindow ([in] com::sun::star::awt::WindowDescriptor Descriptor) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a new window using the given descriptor. More...
sequence< com::sun::star::awt::XWindowPeer > | createWindows ([in] sequence< com::sun::star::awt::WindowDescriptor > Descriptors) raises ( com::sun::star::lang::IllegalArgumentException )
| returns a sequence of windows which are newly created using the given descriptors. More...
com::sun::star::awt::XDevice | createScreenCompatibleDevice ([in] long Width, [in] long Height)
| creates a virtual device that is compatible with the screen. More...
com::sun::star::awt::XRegion | createRegion ()
| creates a region. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XDataTransferProviderAccess
com::sun::star::datatransfer::dnd::XDragGestureRecognizer | getDragGestureRecognizer ([in] XWindow window)
| returns the drag gesture recognizer of the specified window. More...
com::sun::star::datatransfer::dnd::XDragSource | getDragSource ([in] XWindow window)
| returns the drag source of the specified window. More...
com::sun::star::datatransfer::dnd::XDropTarget | getDropTarget ([in] XWindow window)
| returns the drop target of the specified window. More...
com::sun::star::datatransfer::clipboard::XClipboard | getClipboard ([in] string clipboardName)
| returns the specified clipboard. More...
Public Member Functions inherited from XSystemChildFactory
XWindowPeer | createSystemChild ([in] any Parent, [in] sequence< byte > ProcessId, [in] short SystemType)
| creates a system child window. More...
Public Member Functions inherited from XMessageBoxFactory
XMessageBox | createMessageBox ([in] com::sun::star::awt::XWindowPeer aParent, [in] MessageBoxType eType, [in] long nButtons, [in] string sTitle, [in] string sMessage)
| creates a message box. More...
Public Member Functions inherited from XExtendedToolkit
long | getTopWindowCount ()
| This function returns the number of currently existing top-level windows. More...
::com::sun::star::awt::XTopWindow | getTopWindow ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Return a reference to the specified top-level window. More...
::com::sun::star::awt::XTopWindow | getActiveTopWindow ()
| Return the currently active top-level window, i.e. More...
void | addTopWindowListener ([in] ::com::sun::star::awt::XTopWindowListener xListener)
| Add a new listener that is called for events that involve com::sun::star::awt::XTopWindow. More...
void | removeTopWindowListener ([in] ::com::sun::star::awt::XTopWindowListener xListener)
| Remove the specified listener from the list of listeners. More...
void | addKeyHandler ([in] ::com::sun::star::awt::XKeyHandler xHandler)
| Add a new listener that is called on com::sun::star::awt::KeyEvent. More...
void | removeKeyHandler ([in] ::com::sun::star::awt::XKeyHandler xHandler)
| Remove the specified listener from the list of listeners. More...
void | addFocusListener ([in] ::com::sun::star::awt::XFocusListener xListener)
| Add a new listener that is called on com::sun::star::awt::FocusEvent. More...
void | removeFocusListener ([in] ::com::sun::star::awt::XFocusListener xListener)
| Remove the specified listener from the list of listeners. More...
void | fireFocusGained ([in] ::com::sun::star::uno::XInterface source)
| Broadcasts the a focusGained on all registered focus listeners. More...
void | fireFocusLost ([in] ::com::sun::star::uno::XInterface source)
| Broadcasts the a focusGained on all registered focus listeners. More...
Public Member Functions inherited from XReschedule
void | reschedule ()
| Allow the main thread to process some events. More...

## Detailed Description

describes a toolkit that creates windows on a screen.

The design of the interfaces for the toolkit implementation should be remote. This means that the calls to the interfaces of the toolkit should be one-way. Too many synchronous calls kill the remote performance.

Developers Guide
  OfficeDev - Java Window Integration

The documentation for this service was generated from the following file:

- com/sun/star/awt/Toolkit.idl